Actualización de la versión de skimage en Raspberry pi

He instalado paquetes de Python usando el administrador de paquetes synaptic en Raspberry Pi-2. Sin embargo, la versión 0.6 del módulo skimage es la última versión disponible en synaptic. Alguien me puede guiar sobre cómo actualizarlo a 0.11, ya que faltan ciertas funciones en la versión anterior.

Intenté pip install scikit-image , pero da la salida

 Running setup.py install for scikit image 

y luego se queda atascado allí.

No creo que haya nada malo allí. Es solo que hay una serie de extensiones C para comstackr en scikit-image y es lenta en Raspberry Pi.

Por ejemplo, en mi computadora portátil con i7 CPU de doble núcleo y un SSD, se tarda unos 5 minutos para instalar scikit-image desde las fonts. Ahora, si tiene en cuenta que la CPU en el RP2 es al menos un orden de magnitud más lenta, junto con una tarjeta SD lenta, podría llevar varias horas comstackr en un RP2.

Puede ver si puede ejecutar las comstackciones en paralelo para acelerar las cosas, aunque no estoy seguro de que esto sea factible con pip extensiones pip y C para un módulo de Python.